it-swarm-ja.com

PHP7.1はパッケージを見つけることができません*

PHP 7.1以下のコマンドを使用してインストールしました

$ Sudo apt-get install software-properties-common
$ Sudo add-apt-repository ppa:ondrej/php
$ Sudo apt-get update
$ Sudo apt-get install -y php7.1

その後、私はモジュールをインストールしようとしています。

php7.1-soap

php7.1-mysql

などが、それは以下のようなエラーを返します

Reading package lists... Done
Building dependency tree        
Reading state information... Done
E: Unable to locate package php7.1-mysql
E: Couldn't find any package by regex 'php7.1-mysql'
1
PHP Developer

これは予想される結果であり、動作はEOL(End Of Life)リリースでのみ再現されるようです。これは、Ubuntu 14.04をタグ付けしたために使用した場合を想定しています 14.04

2014年4月17日にリリースされ、2019年4月にサポート終了(EOL)に達しました。

したがって、ondrejは14.04のサポートを終了しました。つまり、Ubuntuをアップグレードするか、ソースからPHPをインストールする必要があります。

Ubuntuをすぐにアップグレードすることをお勧めします。16.04は良い選択ですが、2018年にリリースされるため、より長くサポートされている18.04もあります。

14.04のままにすることを決定した場合は、 ソースからのPHP をコンパイルして、目的のphpバージョンを見つけることができます php.net/releases —これはほとんどの場合機能します古いリリースでも時間。

2
Liso